@import "./variable.scss";
// @mixin yourMixinName($position, $size, $stroke) {
//     position: absolute;
//     width: $size;
//     height: $size;
//     margin-#{$position}: -($size / 2) - $stroke;
//     content: '';
// }
@mixin titleStyle() {
    background-color: $primary-color;
    border-radius: 0.25rem;
    content: "";
    display: block;
    height: 0.25rem;
    width: 50px;
    margin-top: 0.25rem;
}
@mixin line {
    background-color: $secondary-color;
    height: 1px;
    width: 20%;
    margin: 20px 0px;
}
@mixin createBox($width, $height, $bRadius, $bgColor, $margin) {
    width: $width;
    height: $height;
    border-radius: $bRadius;
    background-color: $bgColor;
    margin: $margin;
    transition: 0.3s all ease-in-out;
}

@mixin boxColor($val) {
    @if $val == orange {
        // background-color: $orange;
        svg {
            color: $orange;
        }
    } @else if $val == green {
        // background-color: $green;
        svg {
            color: $green;
        }
    } @else if $val == yellow {
        svg {
            color: $yellow;
        }
    } @else if $val == pink {
        svg {
            color: $pink;
        }
    } @else if $val == blue {
        svg {
            color: $blue;
        }
    } @else if $val == skyblue {
        svg {
            color: $skyblue;
        }
    } @else {
        background-color: #ffffff;
    }
}

@mixin border-stroke($val) {
    @if $val == light {
        border: $light;
    } @else if $val == medium {
        border: $medium;
    } @else if $val == heavy {
        border: $heavy;
    } @else {
        border: $none;
    }
}
@mixin featureBox() {
    display: block;
    background: #ffffff;
    box-shadow: 0 2px 48px 0 rgba(0, 0, 0, 0.06);
    border-radius: 10px;
    padding: 40px 0px 5px 0px;
    text-align: center;
    transition: all 0.5s ease-out;
    // max-height: 230px;
    svg {
        // color: $primary-color;
        transition: all 0.3s ease 0s;
    }
    p {
        transition: all 1s ease-out;
        // @include titleStyle
    }
    .title {
        // font-size: $semiLarge;
        padding: 15px 10px;
        // @include titleStyle
    }
}
@mixin featureBoxhover() {
    background-color: $footerbg;
    transition: all 0.3s ease 0s;
    border-radius: 10px;
    cursor: pointer;
    p {
        color: #fff;
        transition: all 0.3s ease 0s;
    }
    svg {
        color: white;
        transition: all 0.3s ease 0s;
    }
}
@mixin bgCurve() {
    display: block;
    width: 100%;
    // height: 250px;
    background-color: white;
    // border-radius: 0% 10% 0% 0%/0% 50% 0% 0%;
    border-radius: 15px 100px 0px 0px;
    // margin-top: -216px;
    box-shadow: -0px -10px $footerbg;
}
@mixin innerBanner() {
    background-repeat: no-repeat;
    background-size: cover;
    height: 70vh;
    background-position: center center;
    margin-bottom: -200px;
}
@mixin border-radius($top-left:5px, $top-right:null, $bottom-right:null, $bottom-left:null){
    -webkit-border-radius: $top-left $top-right $bottom-right $bottom-left;
       -moz-border-radius: $top-left $top-right $bottom-right $bottom-left;
        -ms-border-radius: $top-left $top-right $bottom-right $bottom-left;
            border-radius: $top-left $top-right $bottom-right $bottom-left;  
  }
// @mixin border-radius($radius) {  
//     -webkit-border-radius: $radius;  
//        -moz-border-radius: $radius;  
//         -ms-border-radius: $radius;  
//             border-radius: $radius;  
//   } 
@mixin bannerHeading(){
    font-size: $Xlarge;
    text-transform: capitalize;
    background-color: rgba(255, 255, 255, 0.7);
    display: inline-block;
    margin: 75px 50px;
    padding: 20px;
    border: 1px solid rgba(255, 255, 255, 0.5);
    color: rgba($footerbg, 1) !important;
    // text-shadow: 2px 2px rgba($footerbg, 0.2);
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}